CHECKBASHISMS(1)

BEZEICHNUNG
checkbashisms - prüft auf Bash-spezifisches in /bin/sh-Skripten

ÜBERSICHT
checkbashisms Skript …
checkbashisms --help|--version

BESCHREIBUNG
checkbashisms, basierend auf einer der Prüfungen des lintian-Systems, führt grundlegende Prüfungen für /bin/sh-Shell-Skripte auf mögliches Vorhandensein von Bash-Besonderheiten aus. Es nimmt die Namen der Shell-Skripte auf der Befehlszeile entgegen und gibt Warnungen aus, wenn potenzielle Bash-Besonderheiten entdeckt werden.

Beachten Sie, dass die Definition einer Bash-Besonderheit in diesem Kontext grob »einer Shell-Funktionalität, die nicht notwendigerweise durch POSIX unterstützt wird« entspricht; dies bedeutet, dass einige gekennzeichnete Probleme unter optionalen Abschnitten von POSIX erlaubt sein könnten, wie XSI oder Benutzerportierbarkeit.

In Fällen, in denen sich die POSIX- und Debian-Richtlinien widersprechen, erlaubt checkbashisms standardmäßig Erweiterungen, die durch die Richtlinien erlaubt sind, stellt aber außerdem Optionen für strengere Prüfungen bereit.

OPTIONEN

--help, -h
    zeigt eine Zusammenfassung der Optionen.

--newline, -n
    prüft auf den Gebrauch von »echo -n« (nicht POSIX, jedoch von den Debian-Richtlinien 10.4 gefordert).

--posix, -p
    prüft auf Probleme mit Konstrukten, die nicht von POSIX, aber von den Debian-Richtlinien 10.4 gefordert werden (impliziert -n).

--force, -f
    erzwingt die Prüfung jedes Skripts, sogar wenn es normalerweise nicht geprüft würde (da es beispielsweise einen Bash- oder nicht POSIX-Shell-Shebang hat oder ein Shell-Wrapper zu sein scheint).

--lint, -l
    Act like a linter, for integration into a text editor. Possible bashisms will be printed in stdout, like so:

    {filename}:{lineno}:1: warning: possible bashism; {explanation}

--extra, -x
    Hebt Zeilen hervor, die, obwohl sie keine Bash-Besonderheiten enthalten, bei der Festlegung nützlich sein könnten, ob ein bestimmtes Problem falsch positiv ist und ignoriert werden kann. Zum Beispiel könnte der Verwendung von »$BASH_ENV« die Prüfung vorangestellt werden, ob »$BASH« gesetzt ist.

--early-fail, -e
    Exit right after a first error is seen.

--version, -v
    zeigt die Version und Copyright-Informationen.

RÜCKGABEWERTE
Der Rückgabewert wird 0 sein, falls keine möglichen Bash-Besonderheiten oder anderen Probleme entdeckt wurden. Andernfalls wird er die Summe der folgenden Fehlerwerte sein:

1   Eine potenzielle Bash-Besonderheit wurde entdeckt.

2   Aus irgendeinem Grund wurde eine Datei übersprungen, sie war beispielsweise nicht lesbar oder wurde nicht gefunden. Die Warnmeldung wird Einzelheiten preisgeben.

4   Es wurden keine Bash-Besonderheiten in einem Bash-Script entdeckt.

SIEHE AUCH
lintian(1)

AUTOR
checkbashisms wurde ursprünglich als Shell-Skript von Yann Dirson <dirson@debian.org> geschrieben. Eine Neuauflage in Perl mit wesentlich mehr Funktionalitäten wurde von Julian Gilbey <jdg@debian.org> verfasst.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.